@extends('layouts.auth')

@section('content')

    <h4>Статистика {{$bot}}</h4>
    <hr>


    @if($bot=="vksound")

        <div class="preloader w-100 text-center">
            <h4>Загрузка статистики</h4>
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
        <div class="info" style="display: none">
            <div style="font-weight: bold">Пользователей:</div>
            <div><span id="count_users"></span></div>
            <hr>
            <div style="font-weight: bold">Метрика:</div>
            <div class="mt-2"><b>1 день:</b><span id="day_1"></span></div>
            <div><b>2 день:</b><span id="day_2"></span></div>
            <div><b>3 день:</b><span id="day_3"></span></div>
            <div><b>4 день:</b><span id="day_4"></span></div>
            <div><b>5 день:</b><span id="day_5"></span></div>
            <div><b>10 день:</b><span id="day_10"></span></div>
            <div><b>30 день:</b><span id="day_30"></span></div>
            <hr>
            <div style="font-weight: bold">Рефералка:</div>
            <div class="ref_stats mt-2">

            </div>
        </div>

        <script>
            $.get('https://vksound.teleadmin.ru/stats',function(data){
                $('.preloader').hide();
                $('.info').show();
                console.log(data);
                $('#count_users').html(data.count_users);
                $('#day_1').html(data.day_1);
                $('#day_2').html(data.day_2);
                $('#day_3').html(data.day_3);
                $('#day_4').html(data.day_4);
                $('#day_5').html(data.day_5);
                $('#day_10').html(data.day_10);
                $('#day_30').html(data.day_30);
                for(var i=0;i<data.ref_stats.length;i++){
                    $('.ref_stats').append('<div>&nbsp;&nbsp;&nbsp;• '+data.ref_stats[i].ref+': '+data.ref_stats[i].count+'</div>')
                }
            });
        </script>

    @endif


    @if($bot=="storm")

        <div class="preloader w-100 text-center">
            <h4>Загрузка статистики</h4>
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
        <div class="info" style="display: none">
            <div style="font-weight: bold">Пользователей:</div>
            <div><span id="count_users"></span></div>
            <hr>
            <div style="font-weight: bold">Метрика:</div>
            <div class="mt-2"><b>1 день:</b><span id="day_1"></span></div>
            <div><b>2 день:</b><span id="day_2"></span></div>
            <div><b>3 день:</b><span id="day_3"></span></div>
            <div><b>4 день:</b><span id="day_4"></span></div>
            <div><b>5 день:</b><span id="day_5"></span></div>
            <div><b>10 день:</b><span id="day_10"></span></div>
            <div><b>30 день:</b><span id="day_30"></span></div>
            <hr>
            <div style="font-weight: bold">Рефералка:</div>
            <div class="ref_stats mt-2">

            </div>
        </div>

        <script>
            $.get('https://stormbot.teleadmin.ru/get_stats',function(data){
                $('.preloader').hide();
                $('.info').show();
                console.log(data);
                $('#count_users').html(data.count_users);
                $('#day_1').html(data.day_1);
                $('#day_2').html(data.day_2);
                $('#day_3').html(data.day_3);
                $('#day_4').html(data.day_4);
                $('#day_5').html(data.day_5);
                $('#day_10').html(data.day_10);
                $('#day_30').html(data.day_30);
                for(var i=0;i<data.ref_stats.length;i++){
                    $('.ref_stats').append('<div>&nbsp;&nbsp;&nbsp;• '+data.ref_stats[i].ref+': '+data.ref_stats[i].count+'</div>')
                }
            });
        </script>

    @endif



    @if($bot=="smotrikino")

        <div class="preloader w-100 text-center">
            <h4>Загрузка статистики</h4>
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
        <div class="info" style="display: none">
            <div style="font-weight: bold">Пользователей:</div>
            <div><span id="count_users"></span></div>
            <hr>
            <div style="font-weight: bold">Метрика:</div>
            <div class="mt-2"><b>1 день:</b><span id="day_1"></span></div>
            <div><b>2 день:</b><span id="day_2"></span></div>
            <div><b>3 день:</b><span id="day_3"></span></div>
            <div><b>4 день:</b><span id="day_4"></span></div>
            <div><b>5 день:</b><span id="day_5"></span></div>
            <div><b>10 день:</b><span id="day_10"></span></div>
            <div><b>30 день:</b><span id="day_30"></span></div>
            <hr>
            <div style="font-weight: bold">Рефералка:</div>
            <div class="ref_stats mt-2">

            </div>
        </div>

        <script>
            $.get('https://smotrikino.teleadmin.ru/get_stats',function(data){
                $('.preloader').hide();
                $('.info').show();
                console.log(data);
                $('#count_users').html(data.count_users);
                $('#day_1').html(data.day_1);
                $('#day_2').html(data.day_2);
                $('#day_3').html(data.day_3);
                $('#day_4').html(data.day_4);
                $('#day_5').html(data.day_5);
                $('#day_10').html(data.day_10);
                $('#day_30').html(data.day_30);
                for(var i=0;i<data.ref_stats.length;i++){
                    $('.ref_stats').append('<div>&nbsp;&nbsp;&nbsp;• '+data.ref_stats[i].ref+': '+data.ref_stats[i].count+'</div>')
                }
            });
        </script>

    @endif


    @if($bot=="reader")

        <div class="preloader w-100 text-center">
            <h4>Загрузка статистики</h4>
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
        <div class="info" style="display: none">
            <div style="font-weight: bold">Пользователей:</div>
            <div><span id="count_users"></span></div>
            <hr>
            <div style="font-weight: bold">Метрика:</div>
            <div class="mt-2"><b>1 день:</b><span id="day_1"></span></div>
            <div><b>2 день:</b><span id="day_2"></span></div>
            <div><b>3 день:</b><span id="day_3"></span></div>
            <div><b>4 день:</b><span id="day_4"></span></div>
            <div><b>5 день:</b><span id="day_5"></span></div>
            <div><b>10 день:</b><span id="day_10"></span></div>
            <div><b>30 день:</b><span id="day_30"></span></div>
            <hr>
            <div style="font-weight: bold">Рефералка:</div>
            <div class="ref_stats mt-2">

            </div>
        </div>

        <script>
            $.get('https://booksbot.teleadmin.ru/get_stats',function(data){
                $('.preloader').hide();
                $('.info').show();
                console.log(data);
                $('#count_users').html(data.count_users);
                $('#day_1').html(data.day_1);
                $('#day_2').html(data.day_2);
                $('#day_3').html(data.day_3);
                $('#day_4').html(data.day_4);
                $('#day_5').html(data.day_5);
                $('#day_10').html(data.day_10);
                $('#day_30').html(data.day_30);
                for(var i=0;i<data.ref_stats.length;i++){
                    $('.ref_stats').append('<div>&nbsp;&nbsp;&nbsp;• '+data.ref_stats[i].ref+': '+data.ref_stats[i].count+'</div>')
                }
            });
        </script>

    @endif

    @if($bot=="goodlib")

        <div class="preloader w-100 text-center">
            <h4>Загрузка статистики</h4>
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
        <div class="info" style="display: none">
            <div style="font-weight: bold">Пользователей:</div>
            <div><span id="count_users"></span></div>
            <hr>
            <div style="font-weight: bold">Метрика:</div>
            <div class="mt-2"><b>1 день:</b><span id="day_1"></span></div>
            <div><b>2 день:</b><span id="day_2"></span></div>
            <div><b>3 день:</b><span id="day_3"></span></div>
            <div><b>4 день:</b><span id="day_4"></span></div>
            <div><b>5 день:</b><span id="day_5"></span></div>
            <div><b>10 день:</b><span id="day_10"></span></div>
            <div><b>30 день:</b><span id="day_30"></span></div>
            <hr>
            <div style="font-weight: bold">Рефералка:</div>
            <div class="ref_stats mt-2">

            </div>
        </div>

        <script>
            $.get('https://goodlib.teleadmin.ru/get_stats',function(data){
                $('.preloader').hide();
                $('.info').show();
                console.log(data);
                $('#count_users').html(data.count_users);
                $('#day_1').html(data.day_1);
                $('#day_2').html(data.day_2);
                $('#day_3').html(data.day_3);
                $('#day_4').html(data.day_4);
                $('#day_5').html(data.day_5);
                $('#day_10').html(data.day_10);
                $('#day_30').html(data.day_30);
                for(var i=0;i<data.ref_stats.length;i++){
                    $('.ref_stats').append('<div>&nbsp;&nbsp;&nbsp;• '+data.ref_stats[i].ref+': '+data.ref_stats[i].count+'</div>')
                }
            });
        </script>

    @endif




@endsection
